include::../rule.adoc[]

include::../noncompliant.adoc[]

include::../compliant.adoc[]

=== Exceptions

No issue will be raised on binary numbers (starting with `0b` or `0B`). Binary number bits are often grouped corresponding to certain meanings, resulting in irregular bit group sizes.

[source,java]
----
int configValue1 = 0b00_000_10_1; // Compliant
int configValue2 = 0B00_000_10_1; // Compliant
----



ifdef::env-github,rspecator-view[]

'''
== Implementation Specification
(visible only on this page)

include::../message.adoc[]

include::../highlighting.adoc[]

'''
== Comments And Links
(visible only on this page)

include::../comments-and-links.adoc[]

endif::env-github,rspecator-view[]
